<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Import Project="Sdk.props" Sdk="Microsoft.NET.Sdk" />
  <PropertyGroup>
    <UnityVersion>2018.4.14</UnityVersion>
    <DefineConstants>UNITY2018</DefineConstants>
    <TargetFrameworks>net35;net40;net45;net46;net48;netstandard2.0;netstandard2.1;net5.0;net6.0</TargetFrameworks>
  </PropertyGroup>
  <Import Project="..\..\Common.props" />
  <Choose>
    <When Condition="'$(Configuration)' == 'Local'">
      <ItemGroup>
        <PackageReference Include="uMod.Core.Local" Version="*" />
      </ItemGroup>
    </When>
    <Otherwise>
      <ItemGroup>
        <PackageReference Include="uMod.Core" Version="1.0.1331-develop" />
      </ItemGroup>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net45" Version="1.0.2" />
  </ItemGroup>
  <Import Project="Sdk.targets" Sdk="Microsoft.NET.Sdk" />
  <Target Name="LocalNuGetDeploy" AfterTargets="Pack" Condition="'$(Configuration)' == 'Local'">
    <Exec Condition="Exists('$(NuGetPackageRoot)\$(PackageId)\$(PackageVersion)')" Command="dotnet nuget delete $(PackageId) $(PackageVersion) --source $(NuGetPackageRoot) --non-interactive" />
    <Exec Command="dotnet nuget push $(PackageOutputPath)$(PackageId).$(PackageVersion).nupkg --source $(NuGetPackageRoot)" />
  </Target>
</Project>
